ormolu-0.1.2.0: A formatter for Haskell source code

Safe Haskell | None
Language | Haskell2010

Ormolu.Parser

Description

Parser for Haskell source code.

Synopsis

- parseModule :: MonadIO m => Config RegionDeltas -> FilePath -> String -> m ([Warn], Either (SrcSpan, String) ParseResult)
- manualExts :: [Extension]

# Documentation

parseModule Source #

Arguments

:: MonadIO m |
=> Config RegionDeltas | Ormolu configuration
-> FilePath | File name (only for source location annotations)
-> String | Input for parser
-> m ([Warn], Either (SrcSpan, String) ParseResult) |

Parse a complete module from string.

manualExts :: [Extension] Source #

Extensions that are not enabled automatically and should be activated by user.